Page MenuHomePhabricator

Newly added depicted items don’t show Wikidata logo
Closed, ResolvedPublic

Description

When you add “depicts” statements to a file, newly mentioned items don’t have a Wikidata logo next to them, while existing items do. After a page reload, the new items have a logo as well, so there seems to be some difference in client-side and server-side rendering.

During editing:

After saving:

After reloading:

You can also see it in @SandraF_WMF’s slides for today’s Wikimedia monthly activities meeting (link with timestamp) – at least, I assume that’s why two of the four depicted items in the screenshot are missing the logo.

Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg
(page might need a purge on beta due to previous interwiki config error persisting in cache)

  • Wikidata icons show up next to all existing Q- & P-links
  • Wikidata icons show up next to Q-link for newly added statement

QA Results

ACStatusDetails
1T224703#5293501
2T224703#5293501

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptMay 30 2019, 10:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ramsey-WMF triaged this task as Normal priority.May 31 2019, 6:13 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.

Change 517060 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Another approach to detecting the repository of items/properties

https://gerrit.wikimedia.org/r/517060

Change 517060 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Another approach to detecting the repository of items/properties

https://gerrit.wikimedia.org/r/517060

matthiasmullie updated the task description. (Show Details)
matthiasmullie added a subscriber: matthiasmullie.
Edtadros reassigned this task from Edtadros to Ramsey-WMF.Jun 29 2019, 12:29 AM
Edtadros added subscribers: Ramsey-WMF, Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP

Test Artifact(s):

Acceptance criteria:

Can be tested on https://commons.wikimedia.beta.wmflabs.org/wiki/File:Photo_on_08-02-2019_at_16.35.jpg

✅ AC1: Wikidata icons show up next to all existing Q- & P-links

✅ AC2: Wikidata icons show up next to Q-link for newly added statement

@Ramsey-WMF the P-link shows up for a newly added statement. When I add an Item, the Q-link appears. Both appear before and after I publish. The acceptance criteria indicate the Q for a statement. Unless I'm misunderstanding the scope of "statement" vs "item" it appears that the acceptance criteria should be revised. Either way the behavior I observed appears to be the desired behavior in the task description above. I'll set this as passed but I tagged you to this comment for a more detailed review.

Edtadros updated the task description. (Show Details)Jun 29 2019, 12:35 AM
Ramsey-WMF closed this task as Resolved.Jul 29 2019, 4:36 PM

We ended up changing the design to not include the logos anyway